Bug 444563 - [ml_IN] When 0D2F is combined with a consonant and followed by 0D15, 0D2F joins with 0D15
[ml_IN] When 0D2F is combined with a consonant and followed by 0D15, 0D2F joi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 00:01 EDT by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 18:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for correct combination (6.73 KB, image/png)
2008-04-29 00:07 EDT, Ani Peter
no flags Details
fixed ttf file (61.50 KB, application/x-font-ttf)
2008-04-29 06:29 EDT, Rahul Bhalerao
no flags Details
A patched ttf file (61.82 KB, application/x-font-ttf)
2008-04-29 08:04 EDT, Rahul Bhalerao
no flags Details

  None (edit)
Description Ani Peter 2008-04-29 00:01:10 EDT
Description of problem:

When 0D2F is combined with a conjunct/consonant and followed by 0D15, instead of
conjunct/consonant combining with 0D2F, 0D2F gets combined with 0D15. 

How reproducible:
Always

Steps to Reproduce:
1.In gedit, type 0D07, 0D28, 0D4D, 0D24,0D4D, 0D2F, 0D3E, 0D15, 0D4D, 0D15,
0D3E, 0D30, 0D4D, 200D

  
Actual results:
When above characters are used, when 0D28, 0D4D, 0D24,0D4D, 0D2F, 0D3E, 0D15,
0D4D, 0D15 is done, 0D2F gets combined with 0D15, 0D4D, 0D15

Expected results:
When above characters are used, when 0D28, 0D4D, 0D24,0D4D, 0D2F, 0D3E, 0D15,
0D4D, 0D15 is done, 0D28, 0D4D, 0D24 should get combined with 0D2F.

Additional info:
For ref: please see the screehshot on comment #65  on 
https://bugzilla.redhat.com/show_bug.cgi?id=242016
Comment 1 Ani Peter 2008-04-29 00:07:36 EDT
Created attachment 304064 [details]
Screenshot for correct combination
Comment 2 Rahul Bhalerao 2008-04-29 06:29:52 EDT
Created attachment 304093 [details]
fixed ttf file

Ani, this font file has the fix for the reported bug. Could you please test the
same?
Comment 3 Rahul Bhalerao 2008-04-29 08:04:35 EDT
Created attachment 304111 [details]
A patched ttf file

This is updated one.
Comment 4 Ani Peter 2008-04-29 08:05:49 EDT
Rahul: Font has been tested and working fine.

Thanks
Ani
Comment 5 Rahul Bhalerao 2008-04-30 08:27:35 EDT
Fixed in lohit-fonts-malayalam-2.2.1-2.
Comment 6 Bug Zapper 2008-05-14 06:21:31 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Tony Fu 2008-09-09 23:18:11 EDT
requested by Jens Petersen (#27995)
Comment 8 Jens Petersen 2009-05-27 18:40:53 EDT
Closing - please reopen if there should still be any problem.

Note You need to log in before you can comment on or make changes to this bug.